<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new BaseDrawing.">
            <span class="description">Create a new BaseDrawing.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getCoordinates" title="getCoordinates ::Get Coordinates.">
            <span class="description">Get Coordinates.</span><pre>getCoordinates</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDescription" title="getDescription ::Get Description.">
            <span class="description">Get Description.</span><pre>getDescription</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHashCode" title="getHashCode ::Get hash code.">
            <span class="description">Get hash code.</span><pre>getHashCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHeight" title="getHeight ::Get Height.">
            <span class="description">Get Height.</span><pre>getHeight</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHyperlink" title="getHyperlink ::">
            <span class="description"></span><pre>getHyperlink</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getImageIndex" title="getImageIndex ::Get image index.">
            <span class="description">Get image index.</span><pre>getImageIndex</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getName" title="getName ::Get Name.">
            <span class="description">Get Name.</span><pre>getName</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getOffsetX" title="getOffsetX ::Get OffsetX.">
            <span class="description">Get OffsetX.</span><pre>getOffsetX</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getOffsetY" title="getOffsetY ::Get OffsetY.">
            <span class="description">Get OffsetY.</span><pre>getOffsetY</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getResizeProportional" title="getResizeProportional ::Get ResizeProportional.">
            <span class="description">Get ResizeProportional.</span><pre>getResizeProportional</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getRotation" title="getRotation ::Get Rotation.">
            <span class="description">Get Rotation.</span><pre>getRotation</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShadow" title="getShadow ::Get Shadow.">
            <span class="description">Get Shadow.</span><pre>getShadow</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getWidth" title="getWidth ::Get Width.">
            <span class="description">Get Width.</span><pre>getWidth</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getWorksheet" title="getWorksheet ::Get Worksheet.">
            <span class="description">Get Worksheet.</span><pre>getWorksheet</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setCoordinates" title="setCoordinates ::Set Coordinates.">
            <span class="description">Set Coordinates.</span><pre>setCoordinates</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDescription" title="setDescription ::Set Description.">
            <span class="description">Set Description.</span><pre>setDescription</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setHeight" title="setHeight ::Set Height.">
            <span class="description">Set Height.</span><pre>setHeight</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setHyperlink" title="setHyperlink ::">
            <span class="description"></span><pre>setHyperlink</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setName" title="setName ::Set Name.">
            <span class="description">Set Name.</span><pre>setName</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setOffsetX" title="setOffsetX ::Set OffsetX.">
            <span class="description">Set OffsetX.</span><pre>setOffsetX</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setOffsetY" title="setOffsetY ::Set OffsetY.">
            <span class="description">Set OffsetY.</span><pre>setOffsetY</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setResizeProportional" title="setResizeProportional ::Set ResizeProportional.">
            <span class="description">Set ResizeProportional.</span><pre>setResizeProportional</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setRotation" title="setRotation ::Set Rotation.">
            <span class="description">Set Rotation.</span><pre>setRotation</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShadow" title="setShadow ::Set Shadow.">
            <span class="description">Set Shadow.</span><pre>setShadow</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setWidth" title="setWidth ::Set Width.">
            <span class="description">Set Width.</span><pre>setWidth</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setWidthAndHeight" title="setWidthAndHeight ::Set width and height with proportional resize.">
            <span class="description">Set width and height with proportional resize.</span><pre>setWidthAndHeight</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setWorksheet" title="setWorksheet ::Set Worksheet.">
            <span class="description">Set Worksheet.</span><pre>setWorksheet</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>BaseDrawing</h1>
                <small style="display: block; text-align: right">                        Implements<a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new BaseDrawing.</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getCoordinates"></a>
                        <div class="element clickable methodpublic method_getCoordinates" data-toggle="collapse" data-target=".method_getCoordinates .collapse">
                            <h2>Get Coordinates.</h2>
                            <pre>getCoordinates(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDescription"></a>
                        <div class="element clickable methodpublic method_getDescription" data-toggle="collapse" data-target=".method_getDescription .collapse">
                            <h2>Get Description.</h2>
                            <pre>getDescription(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHashCode"></a>
                        <div class="element clickable methodpublic method_getHashCode" data-toggle="collapse" data-target=".method_getHashCode .collapse">
                            <h2>Get hash code.</h2>
                            <pre>getHashCode(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Hash code</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHeight"></a>
                        <div class="element clickable methodpublic method_getHeight" data-toggle="collapse" data-target=".method_getHeight .collapse">
                            <h2>Get Height.</h2>
                            <pre>getHeight(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHyperlink"></a>
                        <div class="element clickable methodpublic method_getHyperlink" data-toggle="collapse" data-target=".method_getHyperlink .collapse">
                            <h2>getHyperlink</h2>
                            <pre>getHyperlink(): null|\PhpOffice\PhpSpreadsheet\Cell\Hyperlink</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>null|<a href="../classes/PhpOffice.PhpSpreadsheet.Cell.Hyperlink.html">\PhpOffice\PhpSpreadsheet\Cell\Hyperlink</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getImageIndex"></a>
                        <div class="element clickable methodpublic method_getImageIndex" data-toggle="collapse" data-target=".method_getImageIndex .collapse">
                            <h2>Get image index.</h2>
                            <pre>getImageIndex(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getName"></a>
                        <div class="element clickable methodpublic method_getName" data-toggle="collapse" data-target=".method_getName .collapse">
                            <h2>Get Name.</h2>
                            <pre>getName(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getOffsetX"></a>
                        <div class="element clickable methodpublic method_getOffsetX" data-toggle="collapse" data-target=".method_getOffsetX .collapse">
                            <h2>Get OffsetX.</h2>
                            <pre>getOffsetX(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getOffsetY"></a>
                        <div class="element clickable methodpublic method_getOffsetY" data-toggle="collapse" data-target=".method_getOffsetY .collapse">
                            <h2>Get OffsetY.</h2>
                            <pre>getOffsetY(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getResizeProportional"></a>
                        <div class="element clickable methodpublic method_getResizeProportional" data-toggle="collapse" data-target=".method_getResizeProportional .collapse">
                            <h2>Get ResizeProportional.</h2>
                            <pre>getResizeProportional(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getRotation"></a>
                        <div class="element clickable methodpublic method_getRotation" data-toggle="collapse" data-target=".method_getRotation .collapse">
                            <h2>Get Rotation.</h2>
                            <pre>getRotation(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShadow"></a>
                        <div class="element clickable methodpublic method_getShadow" data-toggle="collapse" data-target=".method_getShadow .collapse">
                            <h2>Get Shadow.</h2>
                            <pre>getShadow(): \PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getWidth"></a>
                        <div class="element clickable methodpublic method_getWidth" data-toggle="collapse" data-target=".method_getWidth .collapse">
                            <h2>Get Width.</h2>
                            <pre>getWidth(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getWorksheet"></a>
                        <div class="element clickable methodpublic method_getWorksheet" data-toggle="collapse" data-target=".method_getWorksheet .collapse">
                            <h2>Get Worksheet.</h2>
                            <pre>getWorksheet(): \PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setCoordinates"></a>
                        <div class="element clickable methodpublic method_setCoordinates" data-toggle="collapse" data-target=".method_setCoordinates .collapse">
                            <h2>Set Coordinates.</h2>
                            <pre>setCoordinates(string $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>eg: 'A1'</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setDescription"></a>
                        <div class="element clickable methodpublic method_setDescription" data-toggle="collapse" data-target=".method_setDescription .collapse">
                            <h2>Set Description.</h2>
                            <pre>setDescription(string $description): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$description</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setHeight"></a>
                        <div class="element clickable methodpublic method_setHeight" data-toggle="collapse" data-target=".method_setHeight .collapse">
                            <h2>Set Height.</h2>
                            <pre>setHeight(integer $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setHyperlink"></a>
                        <div class="element clickable methodpublic method_setHyperlink" data-toggle="collapse" data-target=".method_setHyperlink .collapse">
                            <h2>setHyperlink</h2>
                            <pre>setHyperlink(null|\PhpOffice\PhpSpreadsheet\Cell\Hyperlink $pHyperlink = null)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pHyperlink</h4>
                                                <code>null|<a href="../classes/PhpOffice.PhpSpreadsheet.Cell.Hyperlink.html">\PhpOffice\PhpSpreadsheet\Cell\Hyperlink</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setName"></a>
                        <div class="element clickable methodpublic method_setName" data-toggle="collapse" data-target=".method_setName .collapse">
                            <h2>Set Name.</h2>
                            <pre>setName(string $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setOffsetX"></a>
                        <div class="element clickable methodpublic method_setOffsetX" data-toggle="collapse" data-target=".method_setOffsetX .collapse">
                            <h2>Set OffsetX.</h2>
                            <pre>setOffsetX(integer $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setOffsetY"></a>
                        <div class="element clickable methodpublic method_setOffsetY" data-toggle="collapse" data-target=".method_setOffsetY .collapse">
                            <h2>Set OffsetY.</h2>
                            <pre>setOffsetY(integer $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setResizeProportional"></a>
                        <div class="element clickable methodpublic method_setResizeProportional" data-toggle="collapse" data-target=".method_setResizeProportional .collapse">
                            <h2>Set ResizeProportional.</h2>
                            <pre>setResizeProportional(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setRotation"></a>
                        <div class="element clickable methodpublic method_setRotation" data-toggle="collapse" data-target=".method_setRotation .collapse">
                            <h2>Set Rotation.</h2>
                            <pre>setRotation(integer $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShadow"></a>
                        <div class="element clickable methodpublic method_setShadow" data-toggle="collapse" data-target=".method_setShadow .collapse">
                            <h2>Set Shadow.</h2>
                            <pre>setShadow(\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow $pValue = null): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setWidth"></a>
                        <div class="element clickable methodpublic method_setWidth" data-toggle="collapse" data-target=".method_setWidth .collapse">
                            <h2>Set Width.</h2>
                            <pre>setWidth(integer $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setWidthAndHeight"></a>
                        <div class="element clickable methodpublic method_setWidthAndHeight" data-toggle="collapse" data-target=".method_setWidthAndHeight .collapse">
                            <h2>Set width and height with proportional resize.</h2>
                            <pre>setWidthAndHeight(integer $width,integer $height): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Example:
<code>
$objDrawing-&gt;setResizeProportional(true);
$objDrawing-&gt;setWidthAndHeight(160,120);
</code></p></div>

                                    <table class="table">                                            <tr>
                                                <th>author
                                                </th>
                                                <td><p>Vincent@luo MSN:kele_100@hotmail.com</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$width</h4>
                                                <code>integer</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$height</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setWorksheet"></a>
                        <div class="element clickable methodpublic method_setWorksheet" data-toggle="collapse" data-target=".method_setWorksheet .collapse">
                            <h2>Set Worksheet.</h2>
                            <pre>setWorksheet(\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet $pValue = null,boolean $pOverrideOld = false): \PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pOverrideOld</h4>
                                                <code>boolean</code><p><p>If a Worksheet has already been assigned, overwrite it and remove image from old Worksheet?</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_imageCounter"> </a>
                            <div class="element clickable propertyprivate property_imageCounter" data-toggle="collapse" data-target=".property_imageCounter .collapse">
                                <h2>Image counter.</h2>
                                <pre>imageCounter :integer</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_imageIndex"> </a>
                            <div class="element clickable propertyprivate property_imageIndex" data-toggle="collapse" data-target=".property_imageIndex .collapse">
                                <h2>Image index.</h2>
                                <pre>imageIndex :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_name"> </a>
                            <div class="element clickable propertyprotected property_name" data-toggle="collapse" data-target=".property_name .collapse">
                                <h2>Name.</h2>
                                <pre>name :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_description"> </a>
                            <div class="element clickable propertyprotected property_description" data-toggle="collapse" data-target=".property_description .collapse">
                                <h2>Description.</h2>
                                <pre>description :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_worksheet"> </a>
                            <div class="element clickable propertyprotected property_worksheet" data-toggle="collapse" data-target=".property_worksheet .collapse">
                                <h2>Worksheet.</h2>
                                <pre>worksheet :\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code>                                    </div>
                                </div>
                            </div>                            <a id="property_coordinates"> </a>
                            <div class="element clickable propertyprotected property_coordinates" data-toggle="collapse" data-target=".property_coordinates .collapse">
                                <h2>Coordinates.</h2>
                                <pre>coordinates :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_offsetX"> </a>
                            <div class="element clickable propertyprotected property_offsetX" data-toggle="collapse" data-target=".property_offsetX .collapse">
                                <h2>Offset X.</h2>
                                <pre>offsetX :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_offsetY"> </a>
                            <div class="element clickable propertyprotected property_offsetY" data-toggle="collapse" data-target=".property_offsetY .collapse">
                                <h2>Offset Y.</h2>
                                <pre>offsetY :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_width"> </a>
                            <div class="element clickable propertyprotected property_width" data-toggle="collapse" data-target=".property_width .collapse">
                                <h2>Width.</h2>
                                <pre>width :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_height"> </a>
                            <div class="element clickable propertyprotected property_height" data-toggle="collapse" data-target=".property_height .collapse">
                                <h2>Height.</h2>
                                <pre>height :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_resizeProportional"> </a>
                            <div class="element clickable propertyprotected property_resizeProportional" data-toggle="collapse" data-target=".property_resizeProportional .collapse">
                                <h2>Proportional resize.</h2>
                                <pre>resizeProportional :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_rotation"> </a>
                            <div class="element clickable propertyprotected property_rotation" data-toggle="collapse" data-target=".property_rotation .collapse">
                                <h2>Rotation.</h2>
                                <pre>rotation :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_shadow"> </a>
                            <div class="element clickable propertyprotected property_shadow" data-toggle="collapse" data-target=".property_shadow .collapse">
                                <h2>Shadow.</h2>
                                <pre>shadow :\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_hyperlink"> </a>
                            <div class="element clickable propertyprivate property_hyperlink" data-toggle="collapse" data-target=".property_hyperlink .collapse">
                                <h2>Image hyperlink.</h2>
                                <pre>hyperlink :null|\PhpOffice\PhpSpreadsheet\Cell\Hyperlink</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>null|<a href="../classes/PhpOffice.PhpSpreadsheet.Cell.Hyperlink.html">\PhpOffice\PhpSpreadsheet\Cell\Hyperlink</a></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Worksheet\BaseDrawing"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.html">Worksheet</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">BaseDrawing</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:51 +0000.<br/>
    </footer></body>
</html>
